summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorScott Bronson <b.git@u32.net>2008-03-20 03:03:05 -0700
committerScott Bronson <b.git@u32.net>2008-03-20 03:03:05 -0700
commit240824da7e94af3406eead74a89b1b3af2b34870 (patch)
treefb60cc77e2f214750faaae02713c7b419c044e0e /init.d
parent0c3e92294618e8465f5c426161929251894e7594 (diff)
Restore the 20restore-metadata script so that legacy etckeeper repos will still work.
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/20restore-metadata14
1 files changed, 14 insertions, 0 deletions
diff --git a/init.d/20restore-metadata b/init.d/20restore-metadata
new file mode 100755
index 0000000..9c2bf65
--- /dev/null
+++ b/init.d/20restore-metadata
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Note that metastore doesn't check that the .metastore file only changes
+# perms of files in the current directory. It's ok to trust the .metastore
+# file won't do anything shady, because, as documented, etckeeper-init
+# should only be run on repositories you trust.
+if [ -e .metadata ]; then
+ if which metastore >/dev/null; then
+ metastore --apply --mtime
+ else
+ echo "etckeeper warning: legacy .metastore file is present but metastore is not installed" >&2
+ fi
+fi